
%% shift_queue_left
%    shifts all items in the queue to the left one place, wrapping occurs.
% inputs:
%   object - current UndoManager
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = shift_queue_left( object )

% gets called if a user changes something after they undo

% current_object points at newly created state

if(size(object.queue,2) <= 1)
    return;
end

temp = object.queue(1);

for i=size(object.queue,2):-1:1
    temp1 = object.queue(i);
    object.queue(i) = temp;
    temp = temp1;
end

end
